Bug 74860 - Make crashes with 'virtual memory exhausted'
Summary: Make crashes with 'virtual memory exhausted'
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: make   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-02 11:21 UTC by Per Winkvist
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-01 18:23:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Per Winkvist 2002-10-02 11:21:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When I strace make it says:

------------------------------------
mmap2(NULL, 208896, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x
402fb000
brk(0x8071000)                          = 0x8071000
mremap(0x402fb000, 208896, 413696, MREMAP_MAYMOVE) = 0x402fb000
mremap(0x402fb000, 413696, 823296, MREMAP_MAYMOVE) = 0x402fb000
mremap(0x402fb000, 823296, 1642496, MREMAP_MAYMOVE) = 0x402fb000
mremap(0x402fb000, 1642496, 3280896, MREMAP_MAYMOVE) = 0x402fb000
mremap(0x402fb000, 3280896, 6557696, MREMAP_MAYMOVE) = 0x402fb000
mremap(0x402fb000, 6557696, 13111296, MREMAP_MAYMOVE) = 0x402fb000
mremap(0x402fb000, 13111296, 26218496, MREMAP_MAYMOVE) = 0x402fb000
mremap(0x402fb000, 26218496, 52432896, MREMAP_MAYMOVE) = 0x4212f000
mremap(0x4212f000, 52432896, 104861696, MREMAP_MAYMOVE) = 0x4212f000
mremap(0x4212f000, 104861696, 209719296, MREMAP_MAYMOVE) = 0x4212f000
mremap(0x4212f000, 209719296, 419434496, MREMAP_MAYMOVE) = 0x4212f000
mremap(0x4212f000, 419434496, 838864896, MREMAP_MAYMOVE) = 0x4212f000
mmap2(NULL, 838864896, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
 -1 ENOMEM (Cannot allocate memory)
brk(0x3a071000)                         = 0x8071000
mmap2(NULL, 838868992, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
 -1 ENOMEM (Cannot allocate memory)
mmap2(NULL, 2097152, PROT_NONE, MAP_PRIVATE|MAP_ANONYMOUS|MAP_NORESERVE, -1, 0)
= 0x402fb000
------------------------------------

I have stripped the offending makefile that causes this to the following:
(This version will work, but in my version I have a null character , ^@ in vi,
between the number and 'low.h' at the end of each line)
------------------------------------
#>+ 41
$(srcdir)/synth_play_impl.cc: 0085low.h
$(srcdir)/synthschedule.cc: 0085low.h
$(srcdir)/gslschedule.cc: 0085low.h
$(srcdir)/audiosubsys.cc: 0085low.h
$(srcdir)/pipebuffer.cc: 0085low.h
$(srcdir)/convert.cc: 0085low.h
$(srcdir)/synth_wave_sin_impl.cc: 0085low.h
$(srcdir)/synth_frequency_impl.cc: 0085low.h
$(srcdir)/synth_multi_add_impl.cc: 0085low.h
$(srcdir)/synth_add_impl.cc: 0085low.h
$(srcdir)/synth_mul_impl.cc: 0085low.h
$(srcdir)/synth_play_wav_impl.cc: 0085low.h
$(srcdir)/stdsynthmodule.cc: 0085low.h
$(srcdir)/asyncschedule.cc: 0085low.h
$(srcdir)/bytestreamtoaudio_impl.cc: 0085low.h
$(srcdir)/stereovolumecontrol_impl.cc: 0085low.h
$(srcdir)/stereoeffectstack_impl.cc: 0085low.h
$(srcdir)/fft.c: 0085low.h
$(srcdir)/stereofftscope_impl.cc: 0085low.h
$(srcdir)/virtualports.cc: 0085low.h
$(srcdir)/bus.cc: 0085low.h
$(srcdir)/audiomanager_impl.cc: 0085low.h
#>+ 11
------------------------------------

When I look at Makefile.in I have the same character there... In Makefile.am
it's missing.

Hmmm... 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create themakefile I gave with null character between 0085 and low.h
2.make
3.boom
	

Additional info:

Comment 1 Per Winkvist 2002-10-04 13:10:20 UTC
I found out that I need to set LANG=C before running "make -f Makefile.cvs" 
otherwise the makefile will be screwed. But should make really fail 
with 'virtual memory exhausted' error ???

Hmmmm


Note You need to log in before you can comment on or make changes to this bug.